## org.opencyc.kif
Class ExportKif

    java.lang.Object
      |
      +--org.opencyc.kif.ExportKif

public class ExportKif
extends java.lang.Object

Provides wrappers for the OpenCyc API.

Collaborates with the `Jamud` class which manages the api connections.

Author:
  Douglas R. Miles

  Copyright 2001 Douglas R. Miles, license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`static CycAccess` `cyc`

Constructor Summary
`ExportKif()` Constructs a new CycAssertionsFactory object.
`ExportKif(java.lang.String hostName, int basePort, int communicationMode, boolean persistentConnection)` Constructs a new ExportKif object given a host name, port, communication mode and persistence indicator.
`ExportKif(java.lang.String myAgentName, java.lang.String cycProxyAgentName, int agentCommunity)` Constructs a new ExportKif object to the given CycProxyAgent in the given agent community.

Method Summary
`CycAccess` `getCycAccess()`
`static void` `main(java.lang.String[] args)`
`void` `mtSend(java.io.PrintWriter dump, CycFort mt)`
`void` `sendAllCycOneFile()`
`void` `sendAssertion(CycFort mt, java.io.PrintWriter dump, java.lang.Object term)`
`void` `sendCycMtEachFile()`
`static java.lang.String` `toPrologCycAString(java.lang.String term)`
`static java.lang.String` `toPrologCycList(CycList cyclist)`
`static java.lang.String` `toPrologCycString(java.lang.String term)`
`static java.lang.String` `toPrologCycTerm(java.lang.Object term)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cyc

    public static CycAccess cyc

Constructor Detail

### ExportKif

    public ExportKif()
              throws java.io.IOException,
                     CycApiException

  Constructs a new CycAssertionsFactory object.

### ExportKif

    public ExportKif(java.lang.String myAgentName,
                     java.lang.String cycProxyAgentName,
                     int agentCommunity)
              throws java.io.IOException,
                     CycApiException

  Constructs a new ExportKif object to the given CycProxyAgent in the given agent community.
  Parameters:
    `myAgentName` - the name of the local agent
    `cycProxyAgentName` - the name of the cyc proxy agent
    `agentCommunity` - the agent community to which the cyc proxy agent belongs

### ExportKif

    public ExportKif(java.lang.String hostName,
                     int basePort,
                     int communicationMode,
                     boolean persistentConnection)
              throws java.io.IOException,
                     java.net.UnknownHostException,
                     CycApiException

  Constructs a new ExportKif object given a host name, port, communication mode and persistence indicator.
  Parameters:
    `hostName` - the host name
    `basePort` - the base (HTML serving) TCP socket port number
    `communicationMode` - either ASCII_MODE or BINARY_MODE
    `persistentConnection` - when `true` keep a persistent socket connection with the OpenCyc server

Method Detail

### main

    public static void main(java.lang.String[] args)

### getCycAccess

    public CycAccess getCycAccess()

### sendAllCycOneFile

    public void sendAllCycOneFile()
                           throws java.lang.Exception

### sendCycMtEachFile

    public void sendCycMtEachFile()
                           throws java.lang.Exception

### mtSend

    public void mtSend(java.io.PrintWriter dump,
                       CycFort mt)

### sendAssertion

    public void sendAssertion(CycFort mt,
                              java.io.PrintWriter dump,
                              java.lang.Object term)
                       throws java.lang.Exception

### toPrologCycTerm

    public static java.lang.String toPrologCycTerm(java.lang.Object term)

### toPrologCycList

    public static java.lang.String toPrologCycList(CycList cyclist)

### toPrologCycString

    public static java.lang.String toPrologCycString(java.lang.String term)

### toPrologCycAString

    public static java.lang.String toPrologCycAString(java.lang.String term)